질문/조언질답게시판
Extra Form
PHP PHP 7.2
CMS Rhymix 1.x

고급메일 인증에서 sendgird 가 id / pass 를 입력하게 되있는데

이번 정책변경으로 api를 입력하는것 같아요.

 

라이믹스 2.0 으로 업그레이드 하기에는 코어수정도 많고

고급 메일인증만 라이믹스 2.x 버전대 덮어쓰기해도 api를 따로 입력할 수가 없네요..

 

코어 업그레이드 말고는 방법이 없을까요?

  • profile

    해당 부분도 내부적으로 적지않게 수정이 많이 되었습니다.

    정책에 맞게 빠르게 대응해드리고 있으나 업데이트를 따라오시지 않는다면 따로 적용하시기에 힘드실 수 있으시겠습니다.

    정 업데이트하시기가 힘드시다면 하나하나 코드를 찾아서 직접 수정하셔야 합니다.

  • profile

    고급 메일 발송 모듈(advanced_mailer)은 더이상 외부 API 연동 부분을 담당하지 않습니다. 발송 방법을 설정하는 화면도 없어졌고, 이제는 메일, SMS, 푸시알림 등의 발송 내역과 에러 내역을 기록하는 기능만 남아 있습니다. 따라서 이 모듈을 업데이트해봐야 달라지는 것은 없습니다.

     

    API 연동 부분은 100% 코어에서 처리하므로, 코어를 업데이트하셔야 변경된 부분의 혜택을 볼 수 있습니다.

     

    팁) common/framework/drivers/mail 안에 있는 SendGrid 클래스 파일을 복사해서 갖다 붙이면 SendGrid 부분만 패치가 가능할 것 같기도 합니다만, 해당 클래스와 연동되는 interface라든지 다른 부분도 바뀌었을 수 있기 때문에 장담은 못 합니다...